Bug 141760 - Windows installer quickstarter section crops text on multiple lines
Summary: Windows installer quickstarter section crops text on multiple lines
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All Windows (All)
: low trivial
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:7.2.0
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks: Installer-Windows
  Show dependency treegraph
 
Reported: 2021-04-19 11:42 UTC by Buovjaga
Modified: 2021-04-21 12:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of cropped text (34.20 KB, image/png)
2021-04-19 11:42 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2021-04-19 11:42:07 UTC
Created attachment 171286 [details]
Screenshot of cropped text

In the final screen of the installer, if you have a particular language with a long string for the quickstarter option, the text will be cropped. See screenshot.

Adding Roman to Cc as he has worked on the installer layout in the past.
Comment 1 Roman Kuznetsov 2021-04-20 08:32:18 UTC
Buovjaga, can you translate strings near radiobuttons in the dialog from attach to English?
Comment 2 Buovjaga 2021-04-20 08:49:39 UTC
include/sfx2/strings.hrc:
#define STR_QUICKSTART_PRELAUNCH                NC_("STR_QUICKSTART_PRELAUNCH", "Load %PRODUCTNAME During System Start-Up")
Comment 3 Commit Notification 2021-04-20 12:26:16 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6045232d352d2031252a086855b78fd94d9ffe3d

tdf#141760 Increase a label box in Windows installer dialog

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Buovjaga 2021-04-21 11:47:14 UTC
Now it is on one line, thanks

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 42e0ea0a6e4f48967d58fa95081c8ba5a6b08bc6
CPU threads: 2; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
Locale: fi-FI (fi_FI); UI: fi-FI
Calc: threaded